## valgrind 3.19.0

=== debian/changelog ===
valgrind (1:3.19.0-1ubuntu2) lunar; urgency=medium

  * d/p/lp2015216.patch: Cherry-picked from upstream to silence errors caused
    by asm-optimised strncmp in ld.so from recent glibc (LP: #2015216)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 04 Apr 2023 20:25:00 +0200

valgrind (1:3.19.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files
    - LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
      configure time option, but that doesn't seem to help.
      Disable LTO for now.
  * Dropped changes:
    - d/patches/0001-Implement-linux-rseq-syscall-as-ENOSYS.patch: backport from
      upstream to handle new syscall now used by glibc 2.35. (now included
      from upstream)
    - Enable parallel builds. (not needed with debhelper 10 and later)
    - Add powerpc fixes. (apparently dropped some time ago)
    - Also some undocumented delta around files moving from
      usr/lib/$multiarch/valgrind to usr/lib/libexec/valgrind which happened
      at some point in the Ubuntu 21.10 development cycle.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 28 Nov 2022 14:55:17 +1300

valgrind (1:3.19.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1017791)
  * Remove x32 from architectures list (Closes: #997015)
  * Update lintian overrides
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 28 Aug 2022 11:40:16 +0100

valgrind (1:3.18.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix remove neon requirement from armhf binaries. Closes: #928224

 -- Mathieu Malaterre <malat@debian.org>  Fri, 01 Jul 2022 13:58:19 +0200
