## valgrind 3.20.0

=== debian/changelog ===
valgrind (1:3.20.0-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to uploaders.

  [Jelmer Vernooĳ]
  * Fix day-of-week for changelog entry 1.9.5-2.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use secure URI in Homepage field.
  * Transition to automatic debug package (from: valgrind-dbg).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 Jan 2023 16:51:40 +0100
