=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
@@ -16,13 +16,13 @@
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
-Homepage: http://www.valgrind.org/
+Homepage: https://www.valgrind.org/
 
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: gdb
+Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: valgrind-dbg, gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
@@ -43,19 +43,6 @@
   * a second heap profiler that examines how heap blocks are used (DHAT)
   * a SimPoint basic block vector generator (BBV)
 
-Package: valgrind-dbg
-Section: debug
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
-Depends: ${misc:Depends}, valgrind (= ${binary:Version})
-Description: instrumentation framework for building dynamic analysis tools (debug)
- Valgrind is a system for debugging and profiling Linux programs. With its tool
- suite you can automatically detect many memory management and threading bugs,
- avoiding hours of frustrating bug-hunting and making your programs more stable.
- You can also perform detailed profiling to help speed up your programs and use
- Valgrind to build new tools.
- .
- This package provides the debug symbols for valgrind's tools and libraries.
-
 Package: valgrind-mpi
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
