=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Homepage: https://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x riscv64
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
 Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
 Recommends: valgrind-dbg, gdb
@@ -44,7 +44,7 @@
   * a SimPoint basic block vector generator (BBV)
 
 Package: valgrind-mpi
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x riscv64
 Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
 Recommends: gdb
 Description: instrumentation framework for building dynamic analysis tools (MPI module)
