## valgrind 3.21.0

=== debian/changelog ===
valgrind (1:3.21.0-0deepin1) unstable; urgency=medium

  * fix: add riscv64 support
  * feat: upgrade to 3.21.0 (riscv64 support branch)

 -- Chang Yang <yangchang@deepin.org>  Wed, 06 Mar 2024 17:17:36 +0800

valgrind (1:3.20.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from upstream to add support for new x86 nops patterns.  Closes
    #1057693.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Jan 2024 12:09:38 +0000

valgrind (1:3.20.0-2) unstable; urgency=medium

  * [armhf] default.supp: add suppression for memory accesses below the stack
    pointer.
  * Add myself to uploaders.

 -- Emanuele Rocca <ema@debian.org>  Fri, 01 Dec 2023 12:53:02 +0100
