=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Adam Borowski <kilobyte@angband.pl>
+Uploaders: Adam Borowski <kilobyte@angband.pl>, Emanuele Rocca <ema@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
@@ -19,9 +19,9 @@
 Homepage: https://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el riscv64 s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Suggests: valgrind-mpi, kcachegrind
 Recommends: valgrind-dbg, gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
@@ -44,7 +44,7 @@
   * a SimPoint basic block vector generator (BBV)
 
 Package: valgrind-mpi
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el riscv64 s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
 Recommends: gdb
 Description: instrumentation framework for building dynamic analysis tools (MPI module)
