=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,9 @@
 	# valgrind script
 	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
 	mv -f ${target}/usr/bin/valgrind.sh $(target)/usr/bin/valgrind
+ifeq ($(DEB_HOST_ARCH),armhf)
+	cat debian/supp/armhf-stackclash.supp >> $(target)/usr/libexec/valgrind/default.supp
+endif
 
 override_dh_fixperms:
 	dh_fixperms -X.css -X.html -X.js -X.so -X.supp -X.xml
