## valgrind 3.22.0

=== debian/changelog ===
valgrind (1:3.22.0-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:21:40 +0200

valgrind (1:3.22.0-0ubuntu2) noble; urgency=medium

  * Fix #478624 - Valgrind incompatibility with binutils-2.42 on x86 with
    new nop patterns (unhandled instruction bytes: 0x2E 0x8D 0xB4 0x26)

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Dec 2023 13:50:42 +0100

valgrind (1:3.22.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Configure --with-gdbscripts-dir=/usr/share/gdb/auto-load.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Dec 2023 14:01:19 +0100

valgrind (1:3.21.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Merge with Debian unstable. Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files
    - LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
      configure time option, but that doesn't seem to help.
      Disable LTO for now.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Aug 2023 12:50:25 +0200
