=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Adam Borowski <kilobyte@angband.pl>, Emanuele Rocca <ema@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
@@ -19,10 +20,10 @@
 Homepage: https://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-mpi, kcachegrind
-Recommends: valgrind-dbg, gdb
+Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
@@ -44,7 +45,7 @@
   * a SimPoint basic block vector generator (BBV)
 
 Package: valgrind-mpi
-Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
 Recommends: gdb
 Description: instrumentation framework for building dynamic analysis tools (MPI module)
