## valgrind 3.23.0

=== debian/changelog ===
valgrind (1:3.23.0-0ubuntu2) oracular; urgency=medium

  * d/patches: add patch to attempt configuring mpich if
    openmpi/mpi-c is not availble (LP: #2078264)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 29 Aug 2024 01:12:52 +0530

valgrind (1:3.23.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. (LP: #1982335)
    - Includes support for IBM z13 (`NNPA' instruction).
    - Remove d/p/09_fix-armhf-detect.patch and d/p/armhf_neon.patch, since
      the arm architecture is upstream now handled in a more fine grained and
      proper way, that make the quilt patches obsolete.
    - Remove d/p/binutils-2.42.diff since all modifications are now upstream.
    - Remove d/p/armhf_neon.patch since code changed significantly, instead:
    - Add d/p/adjust_armhf_cases.patch to focus on armhf options in
      configure.ac that are supported by Ubuntu (armv7t2+) and get rid of the
      armv6 case, that is causing build issues (due to fp).

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 09 Jul 2024 14:54:18 +0200
