## valgrind 3.24.0

=== debian/changelog ===
valgrind (1:3.24.0-2) unstable; urgency=medium

  * Remove Emanuele Rocca from Uploaders per request from Emanuele.
  * Fix FTBFS on armhf by building with -marm instead of -march=armv6
  * Add debian/upstream/signing-key.asc and pgpsigurlmangle in debian/watch

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 22 Jan 2025 20:29:49 +0100

valgrind (1:3.24.0-1) unstable; urgency=medium

  * Add myself to uploaders.
  * New upstream version 3.24.0
  * Drop 03_allow-or-quoting-of-strings-in-.valgrindrc.patch (merged upstream)
  * Drop 09_fix-armhf-detect.patch (merged upstream)
  * Drop VEX/priv/guest_arm64_toIR.c (merged upstream)
  * Drop 14-x86-new-nops.patch (merged upstream)
  * Refresh patches.
  * Build-Depends: Replace old pkg-config alias with pkgconf
  * Recommend python3 for cg_annotate, cg_diff and cg_merge.
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 22 Jan 2025 08:30:33 +0100
