=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Uploaders: Adam Borowski <kilobyte@angband.pl>, Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
  mpi-default-dev,
- pkg-config,
+ pkgconf,
  docbook,
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: https://www.valgrind.org/
@@ -22,8 +21,8 @@
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: gdb
+Suggests: valgrind-mpi, kcachegrind
+Recommends: valgrind-dbg, gdb, python3
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
