## valgrind 3.25.1

=== debian/changelog ===
valgrind (1:3.25.1-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add riscv64 to Architecture

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 10 Oct 2025 20:52:19 +0000

valgrind (1:3.25.1-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * configure mpich on 32-bit archs (Closes: #1103970)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 29 Sep 2025 16:49:47 +0200

valgrind (1:3.25.1-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * New upstream version 3.25.1

  [ Andreas Metzler ]
  * Fix dlopen-related errors on ppc64. (Closes: #1115331)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 22 Sep 2025 15:50:02 +0200

valgrind (1:3.24.0-3) unstable; urgency=medium

  * Remove Recommends: valgrind-dbg in favor of not stripping vgpreload*.so.
    Closes: #1057621. (Thanks Chris Hofstaedtler for the suggestion.)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 13 Apr 2025 11:53:29 +0200
