=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.RC/\~RC/" \
https://sourceware.org/pub/valgrind/valgrind-(.*)\.tar\.bz2
