## valgrind 3.26.0

=== debian/changelog ===
valgrind (1:3.26.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 3.26.0 (LP: #2139096)
    - d/rules: uncomment override_dh_fixperms to prevent .xml files being
      marked executable unnecessarily.
    - d/copyright:
      + update as upstream changed to GPL-3 and also include additional
        upstream updates to licenses in some files
      + update FSF address to solve lintian tag
        old-fsf-address-in-copyright-file.
    - d/control: update standards version to 4.7.2.
  * Dropped Changes:
    - d/patches:
      + 16_Add-ppc64le-linux-hardwire-for-ld64.so.2-strcmp.patch: remove
        since it is already included in the latest upstream release.
      + support-z17-nnpa-instructions.patch: remove since included in
        updated version.

 -- Ishraq Islam <ishraq.islam@canonical.com>  Wed, 11 Feb 2026 07:47:07 +0000

valgrind (1:3.25.1-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130072). Remaining changes:
    - d/rules: 
      + Configure with --enable-only64bit on AArch64.
      + use dh_missing --fail-missing so we don't overlook not
        installed files
      + LTO triggers undefined symbols in valgrind.
        Valgrind has a --enable-lto configure time option,
        but that doesn't seem to help. Disable LTO for now
      + Configure --with-gdbscripts-dir=/usr/share/gdb/auto-load.
      + comment out override_dh_fixperms
    - d/patches:
      + armv7-illegal-opcode.patch
        fix a crash due to an unhandled thumb instruction on armhf.
      + Add adjust_armhf_cases.patch to focus on armhf options in
        configure.ac that are supported by Ubuntu (armv7t2+) and get rid of the
        armv6 case, that is causing build issues (due to fp).
      + drop armhf_neon.patch as it conflicts with d/p/adjust_armhf_case.patch.
      + delete 14_fix-armhf-ftbfs
        Patch introduced in Debian for arm FTBFS. Ubuntu arm handling has diverged
        from upstream making the patch incompatible.
      + support-z17-nnpa-instructions.patch: s390x:
        Support z17 changes to the NNPA. (LP #2119288)
  * Dropped Changes:
    - d/patches:
      + configure mpich if openmpi/mpi-c is not found. Adopted upstream.

 -- John Chittum <john.chittum@canonical.com>  Fri, 14 Nov 2025 13:36:12 -0500

valgrind (1:3.25.1-0ubuntu1) questing; urgency=medium

  * new upstream release (LP: #2116735)
  * d/p/support-z17-nnpa-instructions.patch: s390x:
    Support z17 changes to the NNPA. (LP: #2119288)

 -- John Chittum <john.chittum@canonical.com>  Mon, 11 Aug 2025 09:36:27 -0400

valgrind (1:3.24.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112087). Remaining changes:
    - d/rules:
      + Configure with --enable-only64bit on AArch64. 
      + use dh_missing --fail-missing so we don't overlook not
      installed files
      + LTO triggers undefined symbols in valgrind.
        Valgrind has a --enable-lto configure time option,
        but that doesn't seem to help. Disable LTO for now
      + Configure --with-gdbscripts-dir=/usr/share/gdb/auto-load.
    - d/patches:
      + debian/patches/armv7-illegal-opcode.patch
        fix a crash due to an unhandled thumb instruction on armhf..
      + Add d/p/adjust_armhf_cases.patch to focus on armhf options in
        configure.ac that are supported by Ubuntu (armv7t2+) and get rid of the
        armv6 case, that is causing build issues (due to fp).
      + drop d/p/armhf_neon.patch as it conflicts with d/p/adjust_armhf_case.patch.
      + configure mpich if openmpi/mpi-c is not found
  * New Changes:
    - delete d/p/14_fix-armhf-ftbfs
      Patch introduced in Debian for arm FTBFS. Ubuntu arm handling has diverged
      from upstream making the patch incompatible.
  * Dropped Changes:
    - do not strip vgpreload in arm64. Debian does not strip on any arch,
      as per upstream packaging instructions
    - Remove d/p/09_fix-armhf-detect.patch.
      Dropped by Debian and no longer required in newer Valgrind versions.
    - Remove d/p/binutils-2.42.diff since all modifications are now upstream.
      Originally introduced as Ubuntu only patch in non-Debian Valgrind version.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead. Debian has
      updated their dependencies and removed valgrind-dbg.

 -- John Chittum <john.chittum@canonical.com>  Tue, 10 Jun 2025 07:57:06 -0400

valgrind (1:3.24.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild with glibc 2.41-1ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Mar 2025 11:47:06 +0100

valgrind (1:3.24.0-0ubuntu1) plucky; urgency=medium

  * New upstream release. (LP: #2095363)
  * Remove d/p/11_arm64-cache-flush.patch since it's no longer needed.
    Now handled by upstream commit 40505e5056a7.
  * Remove a superfluous entry in d/copyright, reported by lintian.
  * Replace outdated pkg-config in d/control Build-Depends by pkgconf.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 29 Jan 2025 11:18:43 +0100
