=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>, Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gdb,
@@ -13,7 +14,7 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: https://www.valgrind.org/
