=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+# LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
+# configure time option, but that doesn't seem to help.
+# Disable LTO for now.
 # valgrind uses -fno-stack-protector
-export DEB_BUILD_MAINT_OPTIONS := hardening=-stackprotector,-stackprotectorstrong
+export DEB_BUILD_MAINT_OPTIONS := hardening=-stackprotector,-stackprotectorstrong optimize=-lto
 
 include /usr/share/dpkg/architecture.mk
 
@@ -10,11 +13,18 @@
 CFLAGS  += "-I/usr/include/$(DEB_HOST_MULTIARCH)"   # fixes #676029
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
 
+CONFARGS = \
+	--enable-tls \
+	--with-gdbscripts-dir=/usr/share/gdb/auto-load
+ifeq ($(DEB_HOST_ARCH_CPU),arm64)
+  CONFARGS += --enable-only64bit
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-tls CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_configure -- $(CONFARGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_test:
 	: # do nothing for now
@@ -53,3 +63,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_missing:
+	dh_missing --fail-missing
